info.bioinfweb.jphyloio.formats.nexml.receivers

## Class NeXMLCollectTokenSetDefinitionDataReceiver

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver<P>
  - - info.bioinfweb.jphyloio.formats.xml.receivers.AbstractXMLDataReceiver<NeXMLWriterStreamDataProvider>
    - - info.bioinfweb.jphyloio.formats.nexml.receivers.AbstractNeXMLDataReceiver
      - - info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLCollectNamespaceReceiver
        - - info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLCollectTokenSetDefinitionDataReceiver

- All Implemented Interfaces:
    JPhyloIOEventReceiver, NeXMLConstants

      public class NeXMLCollectTokenSetDefinitionDataReceiver
      extends NeXMLCollectNamespaceReceiver

  Receiver that is used to check the contents of a token set.

  The `CharacterStateSetType` of the token set will be different from the one given in the start event of the according set, if a `SingleTokenDefinitionEvent` defines a token that is not allowed under the current type of token set or if the original token set type was `CharacterStateSetType.NUCLEOTIDE`.

  Author:
    Sarah Wiechers

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexml.NeXMLConstants

      `ATTR_ABOUT, ATTR_CELL_SET_LINKED_IDS, ATTR_CHAR_SET_LINKED_IDS, ATTR_CODON_POSITION, ATTR_CONTENT, ATTR_DATATYPE, ATTR_GENERATOR, ATTR_HREF, ATTR_ID, ATTR_LABEL, ATTR_LENGTH, ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS, ATTR_NODE_EDGE_SET_LINKED_NODE_IDS, ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS, ATTR_OTU_SET_LINKED_IDS, ATTR_OTUS, ATTR_PROPERTY, ATTR_REL, ATTR_ROOT, ATTR_SEQUENCE_SET_LINKED_IDS, ATTR_SINGLE_CHAR_LINK, ATTR_SINGLE_OTU_LINK, ATTR_SINGLE_STATE_LINK, ATTR_SOURCE, ATTR_STATE_SET_LINKED_IDS, ATTR_STATES, ATTR_SYMBOL, ATTR_TARGET, ATTR_TOKENS, ATTR_TREE_SET_LINKED_NETWORK_IDS, ATTR_TREE_SET_LINKED_TREE_IDS, ATTR_VERSION, ATTR_XSI_TYPE, DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX, NEXML_DEFAULT_NAMESPACE_PREFIX, NEXML_FORMAT_NAME, NEXML_NAMESPACE, NEXML_NAMESPACE_PREFIX, NEXML_PREDICATE_NAMESPACE, NEXML_VERSION, PREDICATE_CHAR_ATTR_CODON_POSITION, PREDICATE_CHAR_ATTR_TOKENS, PREDICATE_FORMAT, PREDICATE_MATRIX, PREDICATE_ORIGINAL_LABEL, PREDICATE_ORIGINAL_TOKEN_NAME, TAG_CELL, TAG_CHAR, TAG_CHARACTERS, TAG_EDGE, TAG_FORMAT, TAG_MATRIX, TAG_MEMBER, TAG_META, TAG_NETWORK, TAG_NODE, TAG_OTU, TAG_OTUS, TAG_POLYMORPHIC, TAG_ROOT, TAG_ROOTEDGE, TAG_ROW, TAG_SEQ, TAG_SET, TAG_STATE, TAG_STATES, TAG_TREE, TAG_TREES, TAG_UNCERTAIN, TYPE_CONTIN_CELLS, TYPE_CONTIN_SEQ, TYPE_DNA_CELLS, TYPE_DNA_SEQS, TYPE_FLOAT_NETWORK, TYPE_FLOAT_TREE, TYPE_INT_NETWORK, TYPE_INT_TREE, TYPE_LITERAL_META, TYPE_PROTEIN_CELLS, TYPE_PROTEIN_SEQS, TYPE_RESOURCE_META, TYPE_RESTRICTION_CELLS, TYPE_RESTRICTION_SEQS, TYPE_RNA_CELLS, TYPE_RNA_SEQS, TYPE_STANDARD_CELLS, TYPE_STANDARD_SEQ, UNDEFINED_OTU_ID_PREFIX, UNDEFINED_OTU_LABEL, UNDEFINED_OTUS_ID_PREFIX, UNDEFINED_OTUS_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeXMLCollectTokenSetDefinitionDataReceiver(NeXMLWriterStreamDataProvider streamDataProvider, ReadWriteParameterMap parameterMap, java.lang.String tokenSetDefinitionID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `doAdd(JPhyloIOEvent event)` This method is called internally by `BasicEventReceiver.add(JPhyloIOEvent)` to process events that do not model metadata or comments.

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.nexml.receivers.NeXMLCollectNamespaceReceiver

      `handleComment, handleLiteralContentMeta, handleLiteralMetaStart, handleMetaEndEvent, handleResourceMetaStart`

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver

      `add, addIgnoredComments, addIgnoredLiteralMetadata, addIgnoredResourceMetadata, addIgnoreLogMessage, didIgnoreComments, didIgnoreLiteralMetadata, didIgnoreMetadata, didIgnoreResourceMetadata, getIgnoredComments, getIgnoredLiteralMetadata, getIgnoredMetadata, getIgnoredResourceMetadata, getLogger, getParameterMap, getParentEvent, getParentEvents, getStreamDataProvider, isInComment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeXMLCollectTokenSetDefinitionDataReceiver

          public NeXMLCollectTokenSetDefinitionDataReceiver(NeXMLWriterStreamDataProvider streamDataProvider,
                                                            ReadWriteParameterMap parameterMap,
                                                            java.lang.String tokenSetDefinitionID)

  - ### Method Detail

    - #### doAdd

          protected boolean doAdd(JPhyloIOEvent event)
                           throws java.io.IOException,
                                  javax.xml.stream.XMLStreamException

      Description copied from class: `BasicEventReceiver`
      This method is called internally by `BasicEventReceiver.add(JPhyloIOEvent)` to process events that do not model metadata or comments. (Such events are treated by the according special methods of this class).

      This default implementation just throws an `IllegalEventException`. Inherited classes that need to support other events then these modeling metadata or comments, must overwrite this method.

      Overrides:
        `doAdd` in class `BasicEventReceiver<NeXMLWriterStreamDataProvider>`
      Parameters:
        `event` - the event to be processed
      Returns:
        `true` if more events can be written to this acceptor or `false` if writing should be aborted
      Throws:
        `java.io.IOException` - if an I/O error occurs when writing to the underlying stream
        `javax.xml.stream.XMLStreamException` - if an XML stream error occurs when writing to the underlying stream